Subject: bug#46297: closed (Re: bug#46297: nix-service-configuration is missing the default /bin/sh)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Apr 2021 17:07:01 +0000

Your bug report

#46297: nix-service-configuration is missing the default /bin/sh

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46297: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46297
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46297: nix-service-configuration is missing the default /bin/sh
From: Oleg Pykhalov <[email-masked]>
To: [email-masked]
Cc: pukkamustard <[email-masked]>, John Soo <[email-masked]>
Date: Mon, 26 Apr 2021 20:06:16 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

pukkamustard <[email-masked]> writes:

[…]

>> Could you apply the following patch on
>> 13c4a377f5a2e1240790679f3d5643385b6d7635 and run the command again,
>> please?
>
> Applied and tested in a virtual machine. Your patch seems to fix the issue I
> was having. Thank you!
>
> Also tested again in a VM without your patches and was able to reproduce the
> error as reported.
>
> For completeness the commands I ran in the VM:
>
> ```
> $ nix-channel add https://nixos.org/channels/nixpkgs-unstable nixpkgs
> $ nix-channel --update
> $ nix-build '<nixpkgs>' -I .nix-defexpr/channels -A
> ocaml-ng.ocamlPackages_4_11.ocaml
> /nix/store/gvwnh8wn0ib40fd6k3wa4xf7ja1y17l9-ocaml-4.11.2
> ```

Thank yoo for the test.

Pushed to master as 43a7724040560d35e9e3a19bd1cfdb7e5c4c4711

Oleg.

Subject: nix-service-configuration is missing the default /bin/sh
From: John Soo <[email-masked]>
To: Bug Guix <[email-masked]>
Date: Thu, 4 Feb 2021 08:00:34 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

 
 
 Hi guix,

 I am working with nix at work and I found some issues with the sandbox configuration for nix.    The docs say that the default sandbox-paths should have a default mount for /bin/sh  

   https://nixos.org/manual/nix/unstable/command-ref/conf-file.html?highlight=Sandbox-paths#description

   Default:/bin/sh=/nix/store/zi90rxslsm4mlr46l2xws1rm94g7pk8p-busybox-1.31.1-x86_64-unknown-linux-musl/bin/busybox

   I think that means we should add that option to the configuration file.

   Thanks!

   John